.common-spacing {
    margin-bottom: 60px;
}

.sl-detail {
    background-color: #E6F0F8;
    border-radius: 20px;
    margin-top: 60px;
    padding: 30px;
}

.sl-detail.green-bg {
    background: #DEF4E2;
}

.sl-wrap {
    display: flex;
    align-items: center;
    gap: 30px;
    flex-wrap: wrap;
}

.sl-lhs {
    flex: 1;
}

.sl-lhs h2 {
    font-size: 32px;
    font-weight: 500;
    line-height: 140%;
    margin-bottom: 15px;
}

.sl-lhs .sl-mob-img {
    display: none;
}

.sl-lhs h3 {
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 160%;
    color: #00243D;
    margin-bottom: 15px;
}

.sl-lhs p {
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    color: #00243D;
    margin-bottom: 15px;
}

.sl-rhs {
    flex: 1;
    border-radius: 20px;
    background: #FFF;
}

.sl-rhs {
    height: 435px;
    border-radius: 20px;
    overflow: hidden;
}

.sl-rhs img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.dais-programs {
    background: #DEF4E2;
    border-radius: 30px;
    padding: 30px;
}

.dais-programs h2 {
    color: #00243D;
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%;
    text-align: center;
    margin-bottom: 25px;
}

.programs-wrap {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.programs-wrap a {
    text-decoration: none;
}

.card-item {
    padding: 15px;
    border-radius: 20px;
    border: 1px solid #FFF;
    background: rgba(255, 255, 255, 0.30);
}

.card-item .card-item-img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 16px;
}

.card-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 12px;
    gap: 10px;
}

.card-content p {
    font-family: "Playfair Display";
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 160%;
    color: #00243D;
}

.card-content .card-content-arrow {
    width: 12px;
    height: 12px;
    cursor: pointer;
}

.projects-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.project-year {
    margin-bottom: 20px;
}

.year-dropdown-wrap select {
    display: flex;
    padding: 8px 12px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 10px;
    border: 1px solid #023F6A;
    font-family: "Open Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    color: #023F6A;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 10px 40px 10px 10px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='13' height='6' viewBox='0 0 14 8' fill='none'%3E%3Cpath d='M7.00409 8.00409C6.87249 8.00485 6.74202 7.97963 6.62019 7.92986C6.49835 7.8801 6.38753 7.80677 6.29409 7.71409L0.294092 1.71409C0.105788 1.52579 0 1.27039 0 1.00409C0 0.73779 0.105788 0.482395 0.294092 0.294092C0.482395 0.105788 0.73779 0 1.00409 0C1.27039 0 1.52579 0.105788 1.71409 0.294092L7.00409 5.59409L12.2941 0.304092C12.4854 0.140266 12.7315 0.054659 12.9831 0.0643802C13.2348 0.0741013 13.4736 0.178434 13.6517 0.356529C13.8298 0.534623 13.9341 0.773362 13.9438 1.02504C13.9535 1.27671 13.8679 1.52279 13.7041 1.71409L7.70409 7.71409C7.51783 7.89884 7.26643 8.00299 7.00409 8.00409Z' fill='%2300243D'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 16px;
}

.project-year h2 {
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%;
    color: #03489F;
}

.project-grid {
    display: none;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px 35px;
}

.project-grid.active {
    display: grid;
}

.project-card {
    display: flex;
    align-items: center;
    gap: 15px;
    border-radius: 20px;
    border-bottom: 1px solid #C3C3C3;
    padding: 15px;
    text-decoration: none;
    transition: all 0.1s ease;
}

.project-card:hover {
    border-bottom: 1px solid #FAA011;
    background: #FFF5E5;
}

.project-img {
    width: 143px;
    height: 120px;
    border-radius: 10px;
    overflow: hidden;
}

.project-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.project-body {
    flex: 1;
    min-width: 0;
}

.project-body p {
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    color: #00243D;
}

.arrow-icon {
    flex-shrink: 0;
    line-height: 1;
}

.arrow-icon img {
    width: 12px;
    height: 12px;
}

.school-initiated {
    margin-top: 60px;
}

.service-projects {
    display: grid;
    overflow-anchor: none;
}

.view-more-btn {
    display: flex;
    margin: 50px auto 0;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 14px 28px;
    border-radius: 50px;
    border: 1px solid #000;
    background: transparent;
    color: #00243D;
    text-align: right;
    font-family: "Open Sans";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    letter-spacing: 0.2px;
    cursor: pointer;
    text-decoration: none;
}

.chevron {
    display: inline-block;
    width: 17px;
    height: 10px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='17' height='10' viewBox='0 0 17 10' fill='none'%3E%3Cpath d='M1.52588e-05 1.18271L1.18272 0L8.04481 6.86208L14.9069 0L16.0896 1.18271L8.04481 9.2275L1.52588e-05 1.18271Z' fill='%2300243D'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin-top: 5px;
}

.supporting-ngo {
    background: #E6F0F8;
    border-radius: 20px;
    padding: 30px;
    margin-top: 60px;
}

.supporting-ngo h2 {
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%;
    color: #03489F;
    margin-bottom: 30px;
}

.ngo-grid {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 17px;
}

.ngo-card {
    border-radius: 20px;
    background: #FFF;
    padding: 15px 10px;
}

.ngo-img {
    border-bottom: 1px solid #D9D9D9;
    padding-bottom: 10px;
}

.ngo-img img {
    width: 197px;
    height: 92px;
    object-fit: cover;
    margin: 0 auto;
    display: block;
}

.ngo-card h3 {
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 160%;
    text-align: center;
    color: #00243D;
    padding-top: 15px;
}

@media (max-width: 1024px) {
    .ngo-grid {
        grid-template-columns: repeat(3, 1fr);
    }

    .service-projects {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 992px) {
    .sl-lhs {
        flex: auto;
    }

    .sl-rhs {
        flex: auto;
    }

    .programs-wrap {
        grid-template-columns: repeat(2, 1fr);
    }

    .dais-programs h2 br {
        display: none;
    }
    .supporting-ngo {
        border-radius: 20px;
        padding: 20px;
    }
    .supporting-ngo h2 {
        font-size: 24px;
    }

    .supporting-ngo h2 br {
        display: none;
    }

    .project-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .ngo-grid {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 768px) {
    .sl-detail {
        border-radius: 16px;
        padding: 20px;
    }

    .sl-lhs h2 {
        font-size: 24px;
    }

    .sl-lhs .sl-mob-img {
        display: block;
        width: 100%;
        height: 236px;
        object-fit: cover;
        border-radius: 20px;
        margin-bottom: 15px;
    }

    .sl-lhs h3 {
        font-size: 16px;
    }

    .sl-rhs {
        display: none;
    }

    .sl-lhs p {
        font-size: 14px;
    }

    .programs-wrap {
        grid-template-columns: 1fr;
    }

    .dais-programs {
        padding: 20px;
        border-radius: 16px;
    }

    .dais-programs h2 {
        font-size: 24px;
    }

    .project-grid {
        grid-template-columns: 1fr;
    }

    .project-year h2 {
        font-size: 24px;
    }
}